<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ObjectAbstractNode.html">ObjectAbstractNode</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::ObjectAbstractNode Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#ae95e3ca11614b977a4e5c19e56d55777">abstract</a></td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AbstractNode.html#aea6ae47cf7842e94eb9a179381b9eb29">AbstractNode</a>(AbstractNode *ptr)</td><td><a class="el" href="classOgre_1_1AbstractNode.html">Ogre::AbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#a6cacbaee5c8fe20a2696d16c937c2651">addVariable</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#a3dfc097a262028abbb22620f122fb7b0">bases</a></td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#ab4c1c1fa960979a2ad990dc851bff016">children</a></td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#a948e1937c06b27bd43d5eeaf118b65e0">clone</a>() const </td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#a17e65f29d850e30778464b77d6a7407a">cls</a></td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AbstractNode.html#acf394c05aecb3cb258a28c19e1969ff2">context</a></td><td><a class="el" href="classOgre_1_1AbstractNode.html">Ogre::AbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AbstractNode.html#ad12982998ed96d3b0b99a1b74ae1360b">file</a></td><td><a class="el" href="classOgre_1_1AbstractNode.html">Ogre::AbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#a4dd5b858c43ccc893f8357bb780739a0">getValue</a>() const </td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#a785b8823e63068f91bed60e8c57d71dc">getVariable</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#a9918fd7c296fb93828e8963caf3fe832">getVariables</a>() const </td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#aca6f43f74819d6a47eb7acc0d84e177d">id</a></td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AbstractNode.html#ad2e2e1cc95ee64cd9632cc63e4ca3234">line</a></td><td><a class="el" href="classOgre_1_1AbstractNode.html">Ogre::AbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#aa97d24f492fd83b2b28b141b4ee2cbf9">mEnv</a></td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#afd1ca416adcf3f7d3da2a93f790be3e0">name</a></td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#abc4d448f3f2373b4cfc1b6896701dcf3">ObjectAbstractNode</a>(AbstractNode *ptr)</td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#a7c0f89fd757f3a0c9877d01008ecf20d">overrides</a></td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AbstractNode.html#a25d905239cc4b086edcfe91bc51f7bfb">parent</a></td><td><a class="el" href="classOgre_1_1AbstractNode.html">Ogre::AbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#a97701b57c98a21ca74afc87fe038b148">setVariable</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AbstractNode.html#af05272e6472ec8283d7bdf304cd9ef14">type</a></td><td><a class="el" href="classOgre_1_1AbstractNode.html">Ogre::AbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html#a4a43cc387b3154ce2e41487d72ae742f">values</a></td><td><a class="el" href="classOgre_1_1ObjectAbstractNode.html">Ogre::ObjectAbstractNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AbstractNode.html#ab2cbfa72f106771005b1644a3f8b1b23">~AbstractNode</a>()</td><td><a class="el" href="classOgre_1_1AbstractNode.html">Ogre::AbstractNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
